Cambrionix connect
Developers
Communications API

Settings

View and manage communications settings for your organization.

Get Organization User Communications Settings

GET

/communications/v1/organization/user/settings

Get all organization user communications settings for the current authenticated user.

Requires a bearer access token for this API with the Organization.Communications.User.Settings.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/communications/v1/organization/user/settings" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Organization Communications Settings

GET

/communications/v1/settings

Get all organization communications settings.

Requires a bearer access token for this API with the Organization.Communications.Settings.Read permission. See Authentication.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/communications/v1/settings" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update Organization Communications Settings

PATCH

/communications/v1/settings

Update organization communications settings.

Requires a bearer access token for this API with the Organization.Communications.Settings.Write permission. See Authentication.

Request body

object
auditLogobject
notificationsobject

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/communications/v1/settings" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "auditLog": {
    "settings": {
      "computers": true,
      "devices": true,
      "groups": true,
      "hubs": true,
      "locations": true,
      "organization": true,
      "other": true,
      "roles": true,
      "services": true,
      "settings": true,
      "users": true,
      "workflows": true
    }
  },
  "notifications": {
    "email": {},
    "inApp": {},
    "push": {},
    "sms": {}
  }
}'